Subject: glibc

From: Stefan Hanske <[email-masked]>
Date: Wed, 8 Jul 1998 20:39:51 +0200 (METDST)

Hi,

I've tried to compile glibc2 with gcc-2.8.1 & binutils-2.9.1.0.6 using 
the patches suggested in this mailing list and...

	..failed.

The relevant output is shown in the attachment.

Before that, when linking the library (I think) there were lots of lines 
of output from ld:

/usr/local/arm-linuxelf/ld: BFD assertation fail in elf-arm32: line 14xx 
& 16yy (or something like that, it was several days ago).

----------------------------------------------------------
|mailto: Stefan Hanske ([email-masked] |
|WWW : http://www.rzuser.uni-heidelberg.de/~shanske      |
|phone: I'm not silly                                    |
|--------------------------------------------------------|
| And don't forget to remember what you remembered not   |
| to forget to remember...				 |
----------------------------------------------------------
make[1]: Leaving directory `/usr/src/glibc-2.0.94/ctype'
make  -C db2 others
make[1]: Entering directory `/usr/src/glibc-2.0.94/db2'

...

arm-linuxelf-gcc -nostdlib -nostartfiles -o makedb  -Wl,-dynamic-linker=/usr/local/lib/ld-linux.so.2  ../csu/crt1.o ../csu/crti.o `arm-linuxelf-gcc --print-file-name=crtbegin.o` makedb.o libdb.so.3  -Wl,-rpath-link=..:../math:../elf:../nss:../nis:.:../rt:../resolv:../linuxthreads ../libc.so.6 ../libc_nonshared.a -lgcc  `arm-linuxelf-gcc --print-file-name=crtend.o` ../csu/crtn.o
../libc.so.6: undefined reference to `__syscall__sysctl'
../libc.so.6: undefined reference to `__syscall_pread64'
../libc.so.6: undefined reference to `__syscall_pwrite64'
make[1]: *** [makedb] Error 1
make[1]: Leaving directory `/usr/src/glibc-2.0.94/db2'